Creates data products
curl --request POST \
--url https://api.example.com/api/dataproduct \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role_name": "<string>",
"name": "<string>",
"domain_urn": "<string>",
"query": "<string>",
"suggestion_id": "<string>",
"query_id": "<string>",
"is_view": true
}
'import requests
url = "https://api.example.com/api/dataproduct"
payload = {
"role_name": "<string>",
"name": "<string>",
"domain_urn": "<string>",
"query": "<string>",
"suggestion_id": "<string>",
"query_id": "<string>",
"is_view": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role_name: '<string>',
name: '<string>',
domain_urn: '<string>',
query: '<string>',
suggestion_id: '<string>',
query_id: '<string>',
is_view: true
})
};
fetch('https://api.example.com/api/dataproduct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"view_name": "<string>",
"preshared_key": "<string>",
"preshared_key_valid_until": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Data API
Creates data products
Creates a new data product based on the provided query, domain, suggestion ID, or query ID.
POST
/
api
/
dataproduct
Creates data products
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Name of the role associated with this view.
Name of the view to create.
URN of the domain where the view belongs.
SQL query for creating the view.
ID of the suggested query to base the view on.
ID of an existing query to base the view on.
Indicates if the object to create is a view.
Response
View created successfully.
Was this page helpful?
⌘I

